const
  SIOCINQ       = FIONREAD;
  SIOCOUTQ      = TIOCOUTQ;
  SOCK_IOC_TYPE = $89;

  // Avra: _IOR() could be made as a function, but then whole \include\uapi\asm-generic\ioctl.h
  //       should be translated, too. There is no need for that since none of that is used in CAN.
  //       However, kernelioctl.pp deprecated unit shows how _IOR can be implemented, if cuintint
  //       is used everyhere instead of cardinal.
  (* Get stamp (timeval) *)
  (* SIOCGSTAMP_NEW _IOR ( SOCK_IOC_TYPE , 0x06 , long long [ 2 ] ) // C original *)
  (* SIOCGSTAMP_NEW = _IOR(SOCK_IOC_TYPE, $06, SizeOf(culong) + 2 * SizeOf(culonglong)); // sizeof(long long[2]))=16 *)
  (* Get stamp (timespec) *)
  (* SIOCGSTAMPNS_NEW _IOR ( SOCK_IOC_TYPE , 0x07 , long long [ 2 ] ) // C original *)
  (* SIOCGSTAMPNS_NEW = _IOR(SOCK_IOC_TYPE, $07, SizeOf(culong) + 2 * SizeOf(culonglong)); // sizeof(long long[2]))=16 *)

  SIOCADDRT              = $890B;
  SIOCDELRT              = $890C;
  SIOCRTMSG              = $890D;
  SIOCGIFNAME            = $8910;
  SIOCSIFLINK            = $8911;
  SIOCGIFCONF            = $8912;
  SIOCGIFFLAGS           = $8913;
  SIOCSIFFLAGS           = $8914;
  SIOCGIFADDR            = $8915;
  SIOCSIFADDR            = $8916;
  SIOCGIFDSTADDR         = $8917;
  SIOCSIFDSTADDR         = $8918;
  SIOCGIFBRDADDR         = $8919;
  SIOCSIFBRDADDR         = $891a;
  SIOCGIFNETMASK         = $891b;
  SIOCSIFNETMASK         = $891c;
  SIOCGIFMETRIC          = $891d;
  SIOCSIFMETRIC          = $891e;
  SIOCGIFMEM             = $891f;
  SIOCSIFMEM             = $8920;
  SIOCGIFMTU             = $8921;
  SIOCSIFMTU             = $8922;
  SIOCSIFNAME            = $8923;
  SIOCSIFHWADDR          = $8924;
  SIOCGIFENCAP           = $8925;
  SIOCSIFENCAP           = $8926;
  SIOCGIFHWADDR          = $8927;
  SIOCGIFSLAVE           = $8929;
  SIOCSIFSLAVE           = $8930;
  SIOCADDMULTI           = $8931;
  SIOCDELMULTI           = $8932;
  SIOCGIFINDEX           = $8933;
  SIOGIFINDEX            = SIOCGIFINDEX;
  SIOCSIFPFLAGS          = $8934;
  SIOCGIFPFLAGS          = $8935;
  SIOCDIFADDR            = $8936;
  SIOCSIFHWBROADCAST     = $8937;
  SIOCGIFCOUNT           = $8938;
  SIOCGIFBR              = $8940;
  SIOCSIFBR              = $8941;
  SIOCGIFTXQLEN          = $8942;
  SIOCSIFTXQLEN          = $8943;
  SIOCETHTOOL            = $8946;
  SIOCGMIIPHY            = $8947;
  SIOCGMIIREG            = $8948;
  SIOCSMIIREG            = $8949;
  SIOCWANDEV             = $894A;
  SIOCOUTQNSD            = $894B;
  SIOCGSKNS              = $894C;
  SIOCDARP               = $8953;
  SIOCGARP               = $8954;
  SIOCSARP               = $8955;
  SIOCDRARP              = $8960;
  SIOCGRARP              = $8961;
  SIOCSRARP              = $8962;
  SIOCGIFMAP             = $8970;
  SIOCSIFMAP             = $8971;
  SIOCADDDLCI            = $8980;
  SIOCDELDLCI            = $8981;
  SIOCGIFVLAN            = $8982;
  SIOCSIFVLAN            = $8983;
  SIOCBONDENSLAVE        = $8990;
  SIOCBONDRELEASE        = $8991;
  SIOCBONDSETHWADDR      = $8992;
  SIOCBONDSLAVEINFOQUERY = $8993;
  SIOCBONDINFOQUERY      = $8994;
  SIOCBONDCHANGEACTIVE   = $8995;
  SIOCBRADDBR            = $89a0;
  SIOCBRDELBR            = $89a1;
  SIOCBRADDIF            = $89a2;
  SIOCBRDELIF            = $89a3;
  SIOCSHWTSTAMP          = $89b0;
  SIOCGHWTSTAMP          = $89b1;
  SIOCDEVPRIVATE         = $89F0;
  SIOCPROTOPRIVATE       = $89E0;

